### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
BlackIborCouponPricer Class Reference

Black-formula pricer for capped/floored Ibor coupons. More...

`#include <ql/cashflows/couponpricer.hpp>`

Inheritance diagram for BlackIborCouponPricer:
[legend]

List of all members.

## Public Member Functions

| BlackIborCouponPricer (const Handle< OptionletVolatilityStructure > &v=Handle< OptionletVolatilityStructure >())
virtual void | initialize (const FloatingRateCoupon &coupon)
Real | swapletPrice () const
Rate | swapletRate () const
Real | capletPrice (Rate effectiveCap) const
Rate | capletRate (Rate effectiveCap) const
Real | floorletPrice (Rate effectiveFloor) const
Rate | floorletRate (Rate effectiveFloor) const

## Protected Member Functions

Real | optionletPrice (Option::Type optionType, Real effStrike) const
virtual Rate | adjustedFixing (Rate fixing=Null< Rate >()) const

## Protected Attributes

Real | gearing_
Spread | spread_
Time | accrualPeriod_
boost::shared_ptr< IborIndex > | index_
Real | discount_
Real | spreadLegValue_
const FloatingRateCoupon * | coupon_

## Detailed Description

Black-formula pricer for capped/floored Ibor coupons.

Examples:
  Bonds.cpp.